@import url('https://fonts.googleapis.com/css2?family=Nixie+One&display=swap');

* {
  box-sizing: border-box;
  margin: 0; padding: 0;
  font-family: 'Nixie One', cursive;
}

body {
 width: 100vw;
 min-height: 100vh;
 background:  linear-gradient(
  to top,
  var(--color-purple-light),
  var(--color-purple-dark)
  );
 display: flex;
 justify-content: center;
 align-items: center;
 overflow-x: hidden;
}

:root {
  --color-aqua-light: #94D1D6;
  --color-aqua-dark: #3C888F;
  --color-purple-light: #9694D6;
  --color-purple-dark: #37338F;
  --color-beige: #D6B77C;
}

::selection {
  color: #fff;
  background: var(--color-beige);
}

main {
  width: 80%;
  max-width: 500px;
  min-height: 100vh;
  margin: 24px 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

h1 {
  font-size: 36px;
  color: #fff;
  text-shadow: 0px -5px 5px #000;
}

.info-header {
  width: 80%;
  color: var(--color-beige);
}

form {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

label {
  font-size: 24px;
  color: white;
  margin-top: 24px;
}

input, select {
  height: 36px;
  width: 100%;
  text-align: center;
  font-size: 24px;
  border: none;
  border-radius: 12px;
  margin-top: 6px;
  font-weight: bolder;
  box-shadow: 0 -3px 3px #000;
}

option {
  font-weight: bolder;
}

input {
  padding-left: 4px;
}

.btn {
  padding-left: 0;
  margin: 24px 0;
  color: #fff;
  letter-spacing: 2px;
  text-shadow: 1px 1px 1px #000;
  background-color: var(--color-beige);
  border: 2px dashed var(--color-beige); 
  cursor: pointer
}

.btn:hover, .btn:focus-visible {
  background: transparent;
  outline: none;
  transition: .1s ease-in-out;
  box-shadow: none;
}

table {
  color: #fff;
  background-color: var(--color-purple-dark);
  width: 100%;
  text-align: center;
}

tr > th, tr > td {
  border-left: 1px solid var(--color-purple-light);
  height: 36px;
  font-size: 12px;
  letter-spacing: 2px;
}

tr > th:last-child, tr > td:last-child {
  border-right: 1px solid var(--color-purple-light);
}

.info-result {
  margin-top: 24px;
  font-size: 24px;
  font-weight: bolder;
  color: #fff;
}